#version 330 core 
in vec3 fragNor;
in vec3 lightPos;


in vec3 lightVec;
in vec3 view;

in vec3 matAmbF;
in vec3 matDiffF;
in vec3 matSpecF;
in float shineF;
in float usePhong;
in vec3 colorDiff;

vec3 kd1 = vec3(0, 0, 1);
vec3 lightColor = vec3(1,1,1);


out vec4 color;

void main()
{
	vec3 normal = normalize(fragNor);
	vec3 reflected = normalize(-1 * lightVec + 2 * (dot(normal, lightVec)) * normal);
	
	float vDotR = dot(view, reflected);
	float boundVDotR = max(vDotR, 0);
	float powVDotR = pow(boundVDotR, shineF);

	color = vec4((matAmbF * lightColor + 
				matDiffF * max(dot(normal, lightVec), 0) * lightColor 
				+ matSpecF * powVDotR * lightColor), 1.0);
	color = vec4(min(color.x, 1), min(color.y, 1), min(color.z, 1), 1.0);
	
}
