#version  330 core
layout(location = 0) in vec4 vertPos;
layout(location = 1) in vec3 vertNor;
uniform mat4 P;
uniform mat4 M;
uniform mat4 V;

uniform vec3 eyePos;
uniform vec3 matDif;
uniform vec3 matAmb;
uniform vec3 matSpec;
uniform float shine;

out vec3 fragNor;
out vec3 colorDiff;
out vec3 lightVec;
out vec3 view;
out vec3 matAmbF;
out vec3 matDiffF;
out vec3 matSpecF;
out float shineF;
out float usePhong = 0;

void main()
{
	vec3 worldPos = vec3(V * M * vertPos);
	vec3 lightPos = vec3(V * M * (vec4(0, 0, 1, 0))).xyz;
	vec3 lightColor = vec3(1,1,1);
	view = normalize(eyePos - worldPos);

	lightVec = normalize(lightPos - worldPos);
	fragNor = normalize((V * M * vec4(vertNor, 0.0)).xyz);

	vec3 reflected = normalize(-1 * lightVec + 2 * (dot(fragNor, lightVec)) * fragNor);

	gl_Position = P * V * M * vertPos;

	colorDiff = vec3(-1, -1, -1);
	usePhong = 1;

	vec3 lightVec;		

	matAmbF = matAmb;
	matDiffF = matDif;
	matSpecF = matSpec;
	shineF = shine;
}


